/// <reference types="vite/client" />
/// <reference types="vite-svg-loader" />
/// <reference types="cypress" />

interface ImportMetaEnv {
	readonly VIKUNJA_API_URL?: string
	readonly VIKUNJA_HTTP_PORT?: number
	readonly VIKUNJA_HTTPS_PORT?: number

	readonly VIKUNJA_SENTRY_ENABLED?: boolean
	readonly VIKUNJA_SENTRY_DSN?: string

	readonly SENTRY_AUTH_TOKEN?: string
	readonly SENTRY_ORG?: string
	readonly SENTRY_PROJECT?: string
	readonly SENTRY_RELEASE?: string

	readonly VITE_WORKBOX_DEBUG?: boolean
	readonly VITE_IS_ONLINE?: boolean
}

interface ImportMeta {
	readonly env: ImportMetaEnv
}